{% extends "admin/base_site.html" %}
{% load i18n %}

{% block stylesheet %}{% load adminmedia %}{% admin_media_prefix %}css/login.css{% endblock %}
{% block bodyclass %}dashboard{% endblock %}
{% block content_title %}{% endblock %}
{% block breadcrumbs %}{% load i18n %}<div class="breadcrumbs"><a href="../../../">{% trans "Home" %}</a> &rsaquo; <a href="../../../../../">Общий список</a> &rsaquo; <a href="../">За месяц</a> &rsaquo; За день</div>{% endblock %}


{% block title %}Статистика пользователя за день.{% endblock %}

{% block content %}

По IP адресам (первые {{ amount_ip }}):
<table>
	<tr>
		<td>IP</td>
		<td>Получено, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
		<td>Передано, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
	</tr>
		{% for item in traff_by_ip %}
		<tr>
			<td>{{ item.ip }}</a></td>
			<td>{{ item.download }} {% if not WITHOUT_COST %}({{ item.cost_download }}){% endif %}</td>
			<td>{{ item.upload }} {% if not WITHOUT_COST %}({{ item.cost_upload }}){% endif %}</td>
		</tr>
		{% endfor %}

</table>

<br>
По Фильтрам:
<table>
      <tr>
              <td>Фильтр</td>
              <td>Получено, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
              <td>Передано, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
      </tr>
              <tr>
                      {% for item in traff_by_filter %}
                      <td>{{ item.filter }}</a></td>
                      <td>{{ item.download }} {% if not WITHOUT_COST %}({{ item.cost_download }}){% endif %}</td>
                      <td>{{ item.upload }} {% if not WITHOUT_COST %}({{ item.cost_upload }}){% endif %}</td>
              </tr>
              {% endfor %}
</table>
<br>
По портам и протоколам:<br>

<table>
	<tr>
		<td>Направление</td>
		<td>Протокол</td>
		<td>SRC порт</td>
		<td>DST порт</td>
		<td>Байт</td>
		{% if not WITHOUT_COST %}
		<td>Стоимость</td>
		{% endif %}
	</tr>
		{% for item in traff_by_ports_and_protocols %}
		<tr>
			<td>
				{% if item.direction %} 
				IN
				{% else %}
				OUT
				{% endif %}
			</td>
			<td>{{ item.proto }}</td>
			<td>{{ item.src_port }}</td>
			<td>{{ item.dst_port }}</td>
			<td>{{ item.bytes }}</td>
			{% if not WITHOUT_COST %}
			<td>{{ item.cost }}</td>
			{% endif %}

		</tr>
		{% endfor %}

</table>
{% endblock %}
